Subject: Re: [PATCH v3] Introduce BEL<branch> as shortcut to the tracked branch

From: Andreas Gruenbacher <[email-masked]>
Date: Fri, 20 Mar 2009 13:45:23 +0100

On Friday, 20 March 2009 13:33:18 Santi Béjar wrote:
> Can we use branch^{origin} instead? It is longer to type, but uses the
> same syntax as the ^{tree}, ^{commit}, ^{tag} and you don't have to
> know how to produce the bell character.

For me this defeats the purpose; I can just as well type origin/branch (or 
whatever it is) instead of branch^{origin}.  I'm really looking for something 
very short like % or %branch.

A notation for referring to the tracked branch in arbitrary contexts still 
sounds like a good idea, and for that purpose, your proposal sounds useful.

Thanks,
Andreas